#ifndef SERIAL_BUS_H  //     
#define SERIAL_BUS_H

#include "main.h"

//  
#define SERIAL_BUS_DDR  DDRD
#define SERIAL_BUS_PORT PORTD
#define SERIAL_BUS_PIN  PIND
#define SERIAL_BUS_CS   5
#define SERIAL_BUS_DAT  4
#define SERIAL_BUS_WR   3
//     ,     
#define SERIAL_BUS_RD   6

//   
typedef enum
{
	MSB_First = 1,
	LSB_First = 0
} Serial_Bus_Bit_First_t;

//  
void Serial_Bus_Init (void);
void Serial_Bus_Mode_Set (u8 totalbits, Serial_Bus_Bit_First_t bitfirst);
void Serial_Bus_Chip_Select (void);
void Serial_Bus_Chip_DeSelect (void);
void Serial_Bus_Send_Data (u16 Data);

#endif
